[CentOS] More than 1 gcc version?

Brian T. Brunner brian.t.brunner at gai-tronics.com
Mon Oct 24 15:34:33 UTC 2005

Not necessarily... gcc 2.9x LOVES my code, and the program built 
under it runs like a champ.

gcc 3.4 barfs on this same source code, so I see this as 
"Stoopidly Pedantic" on the part of the compiler-writers.

Things that work and stop working because of a "better compiler"
bring into question the definition of "better".

Brian Brunner
brian.t.brunner at gai-tronics.com

>>> chrism at imntv.com 10/24/05 10:39AM >>>
Tom Brown wrote:

> Hi
> CentOS4.2 - Is it possible to have an older version of gcc as well as 
> the one that ships with this OS? I need to compile aspseek to run on 
> this distro but it seems to only like older gcc's
> any ideas?

4.2 ships with a recent vintage GCC 3 and there's an option to include 
GCC4.  If your program won't compile with a very stable GCC3, then you 
might want to fix the broken software rather than install an obsolete 
development environment, no?


CentOS mailing list
CentOS at centos.org 

This email and any files transmitted with it are confidential and
intended solely for the use of the individual or entity to whom they
are addressed. If you have received this email in error please notify
the system manager.

This footnote also confirms that this email message has been swept
for the presence of computer viruses.

www.hubbell.com - Hubbell Incorporated

More information about the CentOS mailing list